# Generated by Django 5.0.7 on 2024-08-27 18:30

from django.db import migrations


def remove_wrongly_added_tab_links(apps, schema_editor):
    DistrictNewProgramPage = apps.get_model("district", "DistrictNewProgramPage")

    for page in DistrictNewProgramPage.objects.all():
        for program in page.program:
            if program.block_type != "program_group_with_candidates":
                continue

            program.value["tab_links"] = []

        page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0280_alter_districtnewprogrampage_program"),
    ]

    operations = [migrations.RunPython(remove_wrongly_added_tab_links)]
